Bug 796362 - multiple flaws in current version of tremulous
multiple flaws in current version of tremulous
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: tremulous (Show other bugs)
15
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan Kaluža
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2011-1412/CVE-2011-2764/CVE-2011-3012
  Show dependency treegraph
 
Reported: 2012-02-22 13:27 EST by Vincent Danen
Modified: 2012-03-07 23:58 EST (History)
2 users (show)

See Also:
Fixed In Version: tremulous-1.2.0-0.4.beta1.fc16
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-28 05:58:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2012-02-22 13:27:25 EST
According to these Debian bug reports, tremulous suffers from a number of unresolved flaws:

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=660827: CVE-2006-2236 ("the remapShader exploit") can lead to arbitrary code execution

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=660830: CVE-2006-2875 ("q3cbof") stack-based buffer overflow leading to arbitrary code execution

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=660831: CVE-2006-2082 arbitrary file download from server

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=660832: CVE-2006-3324 ("q3cfilevar-A") arbitrary file overwriting

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=660834: CVE-2006-3325 ("q3cfilevar-B") configuration overwriting

In addition, tremulous suffers from the CVE-2011-2764 and CVE-2011-3012 flaws as described in bug #725951.
Comment 1 Jan Kaluža 2012-02-23 04:15:58 EST
All CVEs mentioned here except CVE-2011-3012 and CVE-2011-2764 are fixed already in upstream tremulous-1.2-beta. From the fix for those two unfixed CVEs only qcommon/* part is needed.
Comment 2 Fedora Update System 2012-02-23 05:09:21 EST
tremulous-1.2.0-0.4.beta1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/tremulous-1.2.0-0.4.beta1.fc17
Comment 3 Fedora Update System 2012-02-23 05:12:17 EST
tremulous-1.2.0-0.4.beta1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/tremulous-1.2.0-0.4.beta1.fc16
Comment 4 Fedora Update System 2012-02-23 17:27:26 EST
Package tremulous-1.2.0-0.4.beta1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing tremulous-1.2.0-0.4.beta1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-2238/tremulous-1.2.0-0.4.beta1.fc17
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-02-24 01:19:53 EST
tremulous-1.2.0-0.4.beta1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/tremulous-1.2.0-0.4.beta1.fc15
Comment 6 Fedora Update System 2012-02-28 05:58:30 EST
tremulous-1.2.0-0.4.beta1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2012-03-07 23:57:46 EST
tremulous-1.2.0-0.4.beta1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2012-03-07 23:58:06 EST
tremulous-1.2.0-0.4.beta1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.